Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.startup
Class BootstrapService

    java.lang.Object
      |
      +--org.apache.catalina.startup.BootstrapService

All Implemented Interfaces:
  org.apache.commons.daemon.Daemon

public final class BootstrapService
extends java.lang.Object
implements org.apache.commons.daemon.Daemon

Special version of the Catalina bootstrap, designed to be invoked with JNI, and designed to allow easier wrapping by system level components, which would otherwise be confused by the asychronous startup and shutdown Catalina uses. This class should be used to run Catalina as a system service under Windows NT and clones.

Version:
  $Revision: 1.17 $ $Date: 2002/09/16 15:36:54 $
Author:
  Craig R. McClanahan, Remy Maucherat

Constructor Summary
`BootstrapService()`

Method Summary
`void` | `destroy()` Destroy the Catalina Service.
`void` | `init(org.apache.commons.daemon.DaemonContext context)` Load the Catalina Service.
`static void` | `main(java.lang.String[] args)` Main method, used for testing only.
`void` | `start()` Start the Catalina Service.
`void` | `stop()` Stop the Catalina Service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BootstrapService

    public BootstrapService()

Method Detail

### init

    public void init(org.apache.commons.daemon.DaemonContext context)
              throws java.lang.Exception

  Load the Catalina Service.

  Specified by:
    `init` in interface `org.apache.commons.daemon.Daemon`
    `java.lang.Exception`

### start

    public void start()
               throws java.lang.Exception

  Start the Catalina Service.

  Specified by:
    `start` in interface `org.apache.commons.daemon.Daemon`
    `java.lang.Exception`

### stop

    public void stop()
              throws java.lang.Exception

  Stop the Catalina Service.

  Specified by:
    `stop` in interface `org.apache.commons.daemon.Daemon`
    `java.lang.Exception`

### destroy

    public void destroy()

  Destroy the Catalina Service.

  Specified by:
    `destroy` in interface `org.apache.commons.daemon.Daemon`

### main

    public static void main(java.lang.String[] args)

  Main method, used for testing only.

  Parameters:
    `args` - Command line arguments to be processed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.